Bug 769971 - Premature locking during plugin container initialization can cause NPE
Premature locking during plugin container initialization can cause NPE
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
3.0.0
Unspecified Unspecified
high Severity high (vote)
: ---
: JON 2.4.2
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-22 15:57 EST by Charles Crouch
Modified: 2015-02-01 18:27 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 677349
Environment:
Last Closed: 2012-02-07 14:27:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Charles Crouch 2011-12-22 15:58:28 EST
Verification steps: https://bugzilla.redhat.com/show_bug.cgi?id=677349#c7
Comment 2 Sunil Kondkar 2011-12-30 02:16:28 EST
Verified on version: 2.4.2.GA build number: 3fd0075:1afdc60

Turned on event logging for the platform and Apache plug-in on a multi-core machine, NPE is not observed in agent log after restarting the agent.
Repeated the test for few times. NPE is not observed in agent log.
Comment 3 Mike Foley 2012-02-07 14:27:06 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.